import 'dart:io';

import 'package:flutter_test/flutter_test.dart';
import 'package:request_api_helper/request.dart' as req;
import 'package:request_api_helper/request_api_helper.dart';

void main() {
  test('adds one to input values', () async {
    await RequestApiHelperConfig.save(
      RequestApiHelperConfigData(
        url: 'https://public.scool.my.id/api/',
        noapiurl: 'https://public.scool.my.id/',
        logResponse: true,
        withLoading: Redirects(toogle: false),
      ),
    );
    var test = File('packages/request_api_helper/assets/image/worldwide/worldwide.png');
    print(test.path);
    await req.send(
        name: 'login',
        data: RequestData(
          file: RequestFileData(
            filePath: [test.path],
            fileRequestName: ['test'],
          ),
          body: {'null': 'null', 'version': '1.0.0'},
        ),
        type: RESTAPI.POST,
        changeConfig: RequestApiHelperConfigData(
          logResponse: true,
          onError: (code, data) {
            print(data);
          },
          onSuccess: (data) {},
          exception: true,
          onException: (string) {
            print(string);
          },
        ),
        onUploadProgress: (send, total) {
          print(send);
          print(total);
        });
  });
  // print('a');
}
